curl -X PATCH "https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/folders/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Q4 outbound"}'
import requests
API_KEY = "YOUR_API_KEY"
response = requests.patch(
"https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/folders/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b",
params={"api_key": API_KEY}, json={"name": "Q4 outbound"}
)
print(response.status_code)
print(response.json())
const API_KEY = 'YOUR_API_KEY';
const response = await fetch(
`https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/folders/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=${API_KEY}`,
{
method: 'PATCH',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({"name": "Q4 outbound"})
}
);
console.log(await response.json());
{ "id": 12, "name": "Q4 outbound", "createdAt": "2026-11-17T08:30:00.000Z" }
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API Key"
}
}
Smart Delivery v2 (Deliverability Test)
Rename Folder
Rename a folder
PATCH
/
api
/
v1
/
smart-delivery
/
folders
/
{id}
curl -X PATCH "https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/folders/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Q4 outbound"}'
import requests
API_KEY = "YOUR_API_KEY"
response = requests.patch(
"https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/folders/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b",
params={"api_key": API_KEY}, json={"name": "Q4 outbound"}
)
print(response.status_code)
print(response.json())
const API_KEY = 'YOUR_API_KEY';
const response = await fetch(
`https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/folders/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=${API_KEY}`,
{
method: 'PATCH',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({"name": "Q4 outbound"})
}
);
console.log(await response.json());
{ "id": 12, "name": "Q4 outbound", "createdAt": "2026-11-17T08:30:00.000Z" }
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API Key"
}
}
Smart Delivery v2 (Deliverability Test) API: the deliverability (inbox placement) test that sends your campaign email to seed inboxes and reports where it landed. Contact support@smartlead.ai for access.
Path Parameters
Query Parameters
Body Parameters
curl -X PATCH "https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/folders/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Q4 outbound"}'
import requests
API_KEY = "YOUR_API_KEY"
response = requests.patch(
"https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/folders/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b",
params={"api_key": API_KEY}, json={"name": "Q4 outbound"}
)
print(response.status_code)
print(response.json())
const API_KEY = 'YOUR_API_KEY';
const response = await fetch(
`https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/folders/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=${API_KEY}`,
{
method: 'PATCH',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({"name": "Q4 outbound"})
}
);
console.log(await response.json());
Response Fields
Response Codes
Client (agency) API keys are not allowed (
CLIENT_NOT_ALLOWED), or your plan does not include API access (API_ACCESS_RESTRICTED)Too many requests for this API key. Wait the number of seconds in the
Retry-After header (RATE_LIMITED){ "id": 12, "name": "Q4 outbound", "createdAt": "2026-11-17T08:30:00.000Z" }
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API Key"
}
}
